-- UPDATE Modifiers SET Permanent=0 WHERE ModifierId='MOD_ATTRIBUTE_EXPANSIONIST_05_A';
-- Fixes towns getting an extra pop on the new age
INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId) VALUES
('MOD_ATTRIBUTE_EXPANSIONIST_05_B_SUBJECT_REQUIREMENTS', 'SLTH_BUGFIX_NOT_TURN_ONE_REQ'),
('MOD_ATTRIBUTE_EXPANSIONIST_05_B_SUBJECT_REQUIREMENTS', 'SLTH_BUGFIX_NO_RURAL_POP');

INSERT INTO Requirements(RequirementId, RequirementType, Inverse) VALUES
('SLTH_BUGFIX_NOT_TURN_ONE_REQ', 'REQUIREMENT_GAME_TURN_IS_LESS_THAN_X', 1),
('SLTH_BUGFIX_NO_RURAL_POP', 'REQUIREMENT_CITY_POPULATION', 0);

INSERT INTO RequirementArguments(RequirementId, Name, Value) VALUES
('SLTH_BUGFIX_NOT_TURN_ONE_REQ', 'MaxGameTurn', 1),
('SLTH_BUGFIX_NO_RURAL_POP', 'MaxRuralPopulation', 0);

-- terracotta army not giving a free commander per age
-- TODO remove on conquer getting a commander?
INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId) VALUES
('MOD_TERRACOTTA_ARMY_COMMANDER_SUBJECT_REQUIREMENTS', 'REQ_AGE_IS_ANTIQUITY');

-- Fixes commanders getting a free promotion on the new age NOT WORKING. Problems: Commander gets two promotions. Commanders also get another promotion on new age.

UPDATE ProgressionTreeNodeUnlocks SET TargetType= 'MOD_ATTRIBUTE_MILITARISTIC_09_A' WHERE TargetType='MOD_ATTRIBUTE_MILITARISTIC_09';

INSERT INTO ProgressionTreeNodeUnlocks(ProgressionTreeNodeType, TargetType, TargetKind, UnlockDepth) VALUES
('NODE_ATTRIBUTE_MILITARISTIC_09', 'MOD_ATTRIBUTE_MILITARISTIC_09_B', 'KIND_MODIFIER', 1);

INSERT INTO Modifiers (ModifierId, ModifierType, Permanent, RunOnce, SubjectRequirementSetId) VALUES
('MOD_ATTRIBUTE_MILITARISTIC_09_A', 'MOD_ATTRIBUTE_MILITARISTIC_09_TYPE', 0, 1, 'SLTH_BUGFIX_FREE_COMMANDER_PROMOTION_REQS'),                   -- can apply whenever, to get new commanders a promo
('MOD_ATTRIBUTE_MILITARISTIC_09_B', 'MOD_ATTRIBUTE_MILITARISTIC_09_TYPE', 1,  0, 'MOD_ATTRIBUTE_MILITARISTIC_09_SUBJECT_REQUIREMENTS');         -- applies only clicking button and transient. reuse old subject reqs

INSERT INTO ModifierStrings(Context, ModifierId, Text) VALUES ('Description', 'MOD_ATTRIBUTE_MILITARISTIC_09_A', 'LOC_MOD_ATTRIBUTE_MILITARISTIC_09_DESCRIPTION');

INSERT INTO ModifierArguments(ModifierId, Name, Value) VALUES
('MOD_ATTRIBUTE_MILITARISTIC_09_A', 'Amount', 1),
('MOD_ATTRIBUTE_MILITARISTIC_09_B', 'Amount', 1);

INSERT INTO Requirements(RequirementId, RequirementType, Inverse) VALUES
('SLTH_BUGFIX_COMMANDER_HAS_NO_PROMOTIONS_REQ', 'REQUIREMENT_COMMANDER_HAS_X_PROMOTIONS', 1);

INSERT INTO RequirementArguments(RequirementId, Name, Value) VALUES
('SLTH_BUGFIX_COMMANDER_HAS_NO_PROMOTIONS_REQ', 'Amount', 1),
('SLTH_BUGFIX_COMMANDER_HAS_NO_PROMOTIONS_REQ', 'PromotionsOnly', 'true');
-- ('SLTH_BUGFIX_COMMANDER_HAS_NO_PROMOTIONS_REQ', 'OnPromotionInterval', 0),               -- undocumented if we need this


INSERT INTO RequirementSets(RequirementSetId, RequirementSetType) VALUES
('SLTH_BUGFIX_FREE_COMMANDER_PROMOTION_REQS', 'REQUIREMENTSET_TEST_ALL');

INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId) VALUES
('SLTH_BUGFIX_FREE_COMMANDER_PROMOTION_REQS', 'MOD_ATTRIBUTE_MILITARISTIC_09_SUBJECT_REQUIREMENTS_1'),              -- reused, checks for commander tag
('SLTH_BUGFIX_FREE_COMMANDER_PROMOTION_REQS', 'SLTH_BUGFIX_NOT_TURN_ONE_REQ'),                                   -- new commanders dont get any promo if this is attached.
('SLTH_BUGFIX_FREE_COMMANDER_PROMOTION_REQS', 'SLTH_BUGFIX_COMMANDER_HAS_NO_PROMOTIONS_REQ');


-- try fix silly amphibious not working on entering nav rivers

INSERT INTO UnitAbilityModifiers(UnitAbilityType, ModifierId) VALUES
('ABILITY_AMPHIBIOUS', 'AMPHIBIOUS_MOD_ADJUST_UNIT_IGNORE_RIVERS');

INSERT INTO ModifierArguments(ModifierId, Name, "Value") VALUES
('AMPHIBIOUS_MOD_ADJUST_UNIT_IGNORE_RIVERS', 'Obstacle', 'RIVER_NAVIGABLE');

INSERT INTO Modifiers(ModifierId, ModifierType) VALUES
('AMPHIBIOUS_MOD_ADJUST_UNIT_IGNORE_RIVERS', 'AMPHIBIOUS_MOD_ADJUST_UNIT_IGNORE_SHORES_TYPE');